OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
GRFFileProps Struct Reference

Data related to the handling of grf files. More...

`#include <newgrf_commons.h>`

Inheritance diagram for GRFFileProps:

## Public Member Functions
| GRFFileProps (uint16 subst_id=0)
| Set all default data constructor for the props.

## Data Fields
uint16 | subst_id
uint16 | override
| id of the entity been replaced by
Data Fields inherited from GRFFilePropsBase< 1 >
uint16 | local_id
| id defined by the grf file for this entity
struct GRFFile * | grffile
| grf file that introduced this entity
struct SpriteGroup * | spritegroup [Tcnt]
| pointer to the different sprites of the entity

## Detailed Description

Data related to the handling of grf files.

Definition at line 325 of file newgrf_commons.h.

## Constructor & Destructor Documentation

GRFFileProps::GRFFileProps | ( | uint16 | subst_id = `0` | ) |
| inline

Set all default data constructor for the props.

Definition at line 327 of file newgrf_commons.h.

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h